Update Customer Bank Account
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"AccountHolder": "John Smith",
"BankName": "Sparkasse",
"AccountNumber": "1234567890",
"BankCode": "44550045",
"IBAN": "DE123456789123456",
"BIC": "WELADED1ISL"
}
'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}"
payload = {
"AccountHolder": "John Smith",
"BankName": "Sparkasse",
"AccountNumber": "1234567890",
"BankCode": "44550045",
"IBAN": "DE123456789123456",
"BIC": "WELADED1ISL"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
AccountHolder: 'John Smith',
BankName: 'Sparkasse',
AccountNumber: '1234567890',
BankCode: '44550045',
IBAN: 'DE123456789123456',
BIC: 'WELADED1ISL'
})
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Update Customer Bank Account
Update a specific bank account
PATCH
/
customers
/
{customerId}
/
bankaccounts
/
{customerBankAccountId}
Update Customer Bank Account
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Body
application/json
The customer bank account to update.
Response
Was this page helpful?
⌘I